use crate::handle;

#[derive(Copy, Clone, Debug, PartialEq)]
pub struct MeshComponent {
    // TODO resource pools
    // pub mesh_handle: handle::MeshHandle,
    // pub material_handle: handle::MaterialHandle,
}

#[derive(Copy, Clone, Debug, PartialEq)]
pub struct PointLightComponent {
    pub intensity: glam::Vec3A,
}

#[derive(Copy, Clone, Debug, PartialEq)]
pub struct PositionComponent {
    pub position: glam::Vec3A,
}

#[derive(Copy, Clone, Debug, PartialEq)]
pub struct OrientationComponent {
    pub orientation: glam::Quat,
}

#[derive(Copy, Clone, Debug, PartialEq)]
pub struct TransformComponent {
    pub transform: glam::Mat4,
}
